{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "Dash_layout.html" %}
{% block content %}   

<link href="/static/dash/css/jquery.dataTables.min.css" rel="stylesheet" media="screen">

<script src="/static/dash/js/jquery-3.5.1.js"></script>

<script type="text/javascript">$(document).ready(function() {
    $('#example').DataTable( {
        "scrollX": true
    } );
} );</script>

<div class="page-wrapper">
    <div class="container-fluid">


            <h1>Orders</h1>
            <p>All orders found on the system.</p>
            <div>
                <a href="" class="btn btn-warning" data-toggle="modal" data-target="#exampleModal"><i class="m-r-10 mdi mdi-access-point"></i> New Subscription</a>
<!-- Modal -->
<form class="form-horizontal form-material" method="POST">
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel"><i class="m-r-10 mdi mdi-account-plus"></i> Create new subscription !</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
            
                {{ form.csrf_token }}

                <div class="form-group">
                    <label class="col-md-12">Email : </label>
                    <div class="col-md-12">
                        {{ form.email(rows=3, class_="form-control form-control-line")}}
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-12">Full name : </label>
                    <div class="col-md-12">
                        {{ form.f_name(rows=3, class_="form-control form-control-line")}}
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-12">Location : </label>
                    <div class="col-md-12">
                        {{ form.country_selector(rows=3, class_="form-control form-control-line")}}
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-12">Device : </label>
                    <div class="col-md-12">
                        {{ form.device_type(rows=3, class_="form-control form-control-line")}}
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-12">Assigne package : </label>
                    <div class="col-md-12">
                        <select class="form-control form-control-line" id="pack_id" name="pack_id" rows="3">
                            {% for pack in data.packages %}
                            <option value="{{pack.name}}">{{pack.name}}</option>
                            {% endfor %}
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label for="example-email" class="col-md-12">Note : </label>
                    <div class="col-md-12">
                       
                            {{ form.note(rows=3, class_="form-control form-control-line")}}
                    </div>
                </div>

                <hr>
                <h4>Api Status : </h4>
                <hr>

                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-warning" name="submit"><i class="m-r-10 mdi mdi-access-point"></i> Create</button>  
                  
                  </div>
        </div>
      </div>
    </form>
    </div>
  </div>
            </div>
            <center>
                {% if error %}
                <p class=error><strong>Error:</strong> {{ error }}
                {% endif %}
                <br>
                {% with messages = get_flashed_messages(with_categories=true) %}
                {% if messages %}
                <div class="alert alert-{{ messages.0.0 }}" role="alert">
                {% for category, message in messages %}
                {{ message }} </br>
                {% endfor %}
                *</div>
                {% endif %}
                {% endwith %}
                </center>
                <br>
                


                <table id="example" class="display" style="width:100%">
                    <thead>
                        <tr>
                            <th>Email</th>
                            <th>Full name</th>
                            <th>Location</th>
                            <th>Package</th>
                            <th>Username</th>
                            <th>Status</th>
                            <th>Ordered at</th>
                            <th>Setting</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for subscription in data.subscriptions %}
                        <tr>
                            <td>{{subscription.email}}</td>
                            <td>{{subscription.f_name}}</td>
                            <td>{{subscription.country_selector}}</td>
                            <td>{{subscription.pack}}</td>
                            <td>{{subscription.username}}</td>
                            {% if subscription.is_buyed %}<td><span class="label label-success label-rounded">Approved</span></td>{% else %}<td><span class="label label-danger label-rounded">Pending</span></td>{% endif %}
                            <td>{{subscription.sub_time.strftime('%A,%d,%Y || %H:%M')}}</td>
                            <td>
                                {% if subscription.is_buyed %}
                                <a href="" class="m-r-10 m-r-10 mdi mdi-coins label label-warning" title="Order unpaid"></a>
                                {%else%}
                                <a href="" class="m-r-10 m-r-10 mdi mdi-coin label label-success" title="Confirm order as paid"></a>
                                {%endif%}
                                <a href="" class="m-r-10 mdi mdi-message-draw label label-info" title="Send confirmation message"></a>

                            </td>
                        </tr>
                        {% endfor %}
                   
           
                    </tfoot>
                </table>




    </div>
</div>

{% endblock content %}